- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
StarGraphicStruct::StarGraphic Class Reference

Class to store a graphic. More...

`#include <StarGraphicStruct.hxx>`

## Public Member Functions
| StarGraphic ()
| constructor More...
bool | read (StarZone &zone, long lastPos=-1)
| try to read a graphic, give lastPos if you are sure of the end graphic position More...

## Public Attributes
STOFFEmbeddedObject | m_object
| the embedded object More...
shared_ptr< StarBitmap > | m_bitmap
| the bitmap More...

## Detailed Description

Class to store a graphic.

## Constructor & Destructor Documentation

StarGraphicStruct::StarGraphic::StarGraphic | ( |  | ) |
| inline

constructor

## Member Function Documentation

bool StarGraphicStruct::StarGraphic::read | ( | StarZone & | zone,
|  | long | lastPos = `-1`
| ) |  |

try to read a graphic, give lastPos if you are sure of the end graphic position

## Member Data Documentation

shared_ptr<StarBitmap> StarGraphicStruct::StarGraphic::m_bitmap

the bitmap

STOFFEmbeddedObject StarGraphicStruct::StarGraphic::m_object

the embedded object

The documentation for this class was generated from the following files:

- StarGraphicStruct.hxx
- StarGraphicStruct.cxx